# frozen_string_literal: true

module Dhall
	module Rails
		module Coder
			SIMPLE = Dhall::Coder.new(safe: [
				::Array, ::Hash,
				::TrueClass, ::FalseClass, ::NilClass,
				::Integer, ::Float, ::String,
				::Symbol, ::Proc,
				Expression
			])
		end
	end
end
