# frozen_string_literal: true

module Dhall
	module Rails
		module I18n
			class Simple < ::I18n::Backend::Simple
				def load_dhall(filename)
					Dhall::Rails.load_decoded(filename)
				rescue => e
					raise ::I18n::InvalidLocaleData.new(filename, e.inspect)
				end
			end
		end
	end
end
